#!/usr/bin/env python3

"""Definição de rotas da API."""
from fastapi import APIRouter
from fastapi.responses import HTMLResponse

from baobaxia.api.v2.endpoints import (
    artigos,
    auth,
    balaios,
    midias,
    mocambolas,
    mucuas,
    pedidos,
    rotas,
    selecoes,
)
from baobaxia.statics.root import index

# from baobaxia.api.v2.endpoints.midias import midias_router


api_router = APIRouter()


@api_router.get("/", response_class=HTMLResponse)
def get_root():
    """Root html."""
    return index()


api_router.include_router(
    auth.router,
)
api_router.include_router(
    artigos.router,
)
api_router.include_router(
    balaios.router,
)
api_router.include_router(
    midias.router,
)
api_router.include_router(
    mocambolas.router,
)
api_router.include_router(
    mucuas.router,
)
api_router.include_router(
    pedidos.router,
)
api_router.include_router(
    rotas.router,
)
api_router.include_router(
    selecoes.router,
)
