from enum import Enum

from baobaxia.permissions.model_permissions import Artigos, Medias, Mocambolas


class Role(str, Enum):
    ADMINISTRATOR = "ADMINISTRATOR"
    USER = "USER"
    FULAN = "FULAN"

    @classmethod
    def get_roles(cls):
        values = []
        for member in cls:
            values.append(f"{member.value}")
        return values


ROLE_PERMISSIONS = {
    Role.ADMINISTRATOR: [
        [
            Mocambolas.permissions.CREATE,
            Mocambolas.permissions.READ,
            Mocambolas.permissions.UPDATE,
            Mocambolas.permissions.DELETE,
        ],
        [
            Medias.permissions.CREATE,
            Medias.permissions.READ,
            Medias.permissions.UPDATE,
            Medias.permissions.DELETE,
        ],
        [
            Artigos.permissions.CREATE,
            Artigos.permissions.READ,
            Artigos.permissions.UPDATE,
            Artigos.permissions.DELETE,
        ],
    ],
    Role.USER: [
        [
            Medias.permissions.CREATE,
            Medias.permissions.READ,
            Medias.permissions.UPDATE,
            Medias.permissions.DELETE,
        ],
        [
            Artigos.permissions.CREATE,
            Artigos.permissions.READ,
            Artigos.permissions.UPDATE,
            Artigos.permissions.DELETE,
        ],
    ],
    Role.FULAN: [],
}


def get_role_permissions(role: Role):
    permissions = set()
    for permissions_group in ROLE_PERMISSIONS[role]:
        for permission in permissions_group:
            permissions.add(str(permission))
    return list(permissions)
