#!/bin/bash

NAME="bbx" # Name of the application
APPDIR="/home/exu/bbx/baobaxia-mucua/" # Django project directory
SOCKFILE="/home/exu/bbx/run/gunicorn.sock" # we will communicte using this unix socket
USER="exu" # the user to run as
GROUP="exu" # the group to run as
NUM_WORKERS=3 # how many worker processes should Gunicorn spawn
WORKER_CLASS=uvicorn.workers.UvicornWorker

export LANG="pt_BR.UTF-8"

echo "Starting $NAME as `whoami`"
 
# Activate the virtual environment
cd $APPDIR
source /home/exu/bbx/envs/bbx/bin/activate
export PYTHONPATH=$APPDIR:$PYTHONPATH
export PYTHONIOENCODING=UTF-8
 
# Create the run directory if it doesn't exist
RUNDIR=$(dirname $SOCKFILE)
test -d $RUNDIR || mkdir -p $RUNDIR
 
# Start your Unicorn
# Programs meant to be run under supervisor should not daemonize themselves (do not use --daemon)
exec /home/exu/bbx/envs/bbx/bin/gunicorn baobaxia.acervo:app \
     --name $NAME \
     --workers $NUM_WORKERS \
     --worker-class $WORKER_CLASS \
     --user=$USER --group=$GROUP \
     --log-level=debug \
     --bind=unix:$SOCKFILE
